/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.pojos;


import com.tabajara.base.tables.interfaces.IGrpacesso;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Grpacesso implements VertxPojo, IGrpacesso {

    private static final long serialVersionUID = -1241069116;

    private Integer grpid;
    private String  grpdescricao;
    private Boolean grpativo;

    public Grpacesso() {}

    public Grpacesso(Grpacesso value) {
        this.grpid = value.grpid;
        this.grpdescricao = value.grpdescricao;
        this.grpativo = value.grpativo;
    }

    public Grpacesso(
        Integer grpid,
        String  grpdescricao,
        Boolean grpativo
    ) {
        this.grpid = grpid;
        this.grpdescricao = grpdescricao;
        this.grpativo = grpativo;
    }

    @Override
    public Integer getGrpid() {
        return this.grpid;
    }

    @Override
    public Grpacesso setGrpid(Integer grpid) {
        this.grpid = grpid;
        return this;
    }

    @Override
    public String getGrpdescricao() {
        return this.grpdescricao;
    }

    @Override
    public Grpacesso setGrpdescricao(String grpdescricao) {
        this.grpdescricao = grpdescricao;
        return this;
    }

    @Override
    public Boolean getGrpativo() {
        return this.grpativo;
    }

    @Override
    public Grpacesso setGrpativo(Boolean grpativo) {
        this.grpativo = grpativo;
        return this;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Grpacesso (");

        sb.append(grpid);
        sb.append(", ").append(grpdescricao);
        sb.append(", ").append(grpativo);

        sb.append(")");
        return sb.toString();
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(IGrpacesso from) {
        setGrpid(from.getGrpid());
        setGrpdescricao(from.getGrpdescricao());
        setGrpativo(from.getGrpativo());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends IGrpacesso> E into(E into) {
        into.from(this);
        return into;
    }

    public Grpacesso(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
